<?php
/************************************************************************
 * This file is part of EspoCRM.
 *
 * EspoCRM - Open Source CRM application.
 * Copyright (C) 2014  Yuri Kuznetsov, Taras Machyshyn, Oleksiy Avramenko
 * Website: http://www.espocrm.com
 *
 * EspoCRM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EspoCRM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EspoCRM. If not, see http://www.gnu.org/licenses/.
 ************************************************************************/

class AfterUpgrade
{
    protected $container;

    public function run($container)
    {
        $upgradePath = dirname(dirname(__FILE__));
        $fileManager = $container->get('fileManager');

        $fileManager->copy($upgradePath . '/customFiles/application', 'application', true);

        $fileList = [
            "application/Espo/Core/Utils/Database/DBAL/FieldTypes/Bool.php",
            "application/Espo/Core/Utils/Database/DBAL/FieldTypes/Int.php",
            "application/Espo/Core/Utils/Database/DBAL/FieldTypes/JsonArray.php",
            "application/Espo/Core/Utils/Database/DBAL/FieldTypes/JsonObject.php",
            "application/Espo/Core/Utils/Database/DBAL/FieldTypes/Password.php",
            "application/Espo/Core/Utils/Database/DBAL/FieldTypes/Varchar.php"
        ];
        foreach ($fileList as $filePath) {
            unlink($filePath);
        }
    }
}
